<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "/opt/nevisproxy/dtd/web-app_2_3.dtd">
<web-app>
    <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
    <context-param>
        <param-name>SectokenVerifierCert</param-name>
        <param-value>/var/opt/keys/trust/npi-mockrelam-signer-trust/truststore.pem</param-value>
    </context-param>
    <!-- source: pattern://8523f0587aa8cfa7008f8171, pattern://92e282d1dc2b69d9e4f91fc0 -->
    <filter>
        <filter-name>Authentication_MockRelam</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::auth::IdentityCreationFilter</filter-class>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>AuthenticationServlet</param-name>
            <param-value>Connector_MockRelam</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>EntryPointID</param-name>
            <param-value>klp.agov-w.azure.adnovum.net</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>InactiveInterval</param-name>
            <param-value>7200</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>InterceptionRedirect</param-name>
            <param-value>never</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>LoginRendererServlet</param-name>
            <param-value>LoginRenderer_nli</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Realm</param-name>
            <param-value>MockRelam</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>RenewIdentification</param-name>
            <param-value>true</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>StateKey</param-name>
            <param-value>MockRelam</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>StoreInterceptedRequest</param-name>
            <param-value>false</param-value>
        </init-param>
    </filter>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <filter>
        <filter-name>ErrorHandler_Default</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::error::ErrorFilter</filter-class>
        <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
        <init-param>
            <param-name>PlaceHolders</param-name>
            <param-value>
                TRANSFER_ID:TRANSFER_ID
                TIMESTAMP:TIMESTAMP
            </param-value>
        </init-param>
        <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
        <init-param>
            <param-name>StatusCode</param-name>
            <param-value>
                403:Hosting_Default:/errorpages/403.html:reset-header:keep-status-code
                404:Hosting_Default:/errorpages/404.html:keep-header:keep-status-code
                500:Hosting_Default:/errorpages/500.html:reset-header:keep-status-code
                502:Hosting_Default:/errorpages/502.html:keep-header:keep-status-code
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <filter>
        <filter-name>ResponseHeader_Default</filter-name>
        <filter-class>ch::nevis::isiweb4::filter::delegation::HeaderDelegationFilter</filter-class>
        <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
        <init-param>
            <param-name>DelegateToFrontend</param-name>
            <param-value>
                Strict-Transport-Security: max-age=63072000
                X-Content-Type-Options: nosniff
                Referrer-Policy: strict-origin-when-cross-origin
            </param-value>
        </init-param>
    </filter>
    <!-- source: pattern://8523f0587aa8cfa7008f8171, pattern://92e282d1dc2b69d9e4f91fc0 -->
    <filter>
        <filter-name>SessionHandler_MockRelam</filter-name>
        <filter-class>ch::nevis::nevisproxy::filter::session::SessionManagementFilter</filter-class>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Cookie.ExtraAttributes</param-name>
            <param-value>SameSite=None</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Cookie.Name</param-name>
            <param-value>Session_MockRelam</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Cookie.Secure</param-name>
            <param-value>true</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Identification</param-name>
            <param-value>COOKIE</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>MaxInactiveInterval</param-name>
            <param-value>600</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>MaxLifetime</param-name>
            <param-value>28800</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Servlet</param-name>
            <param-value>LocalSessionStoreServlet</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>UpdateTimeStampMinInterval</param-name>
            <param-value>120</param-value>
        </init-param>
    </filter>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <filter-mapping>
        <filter-name>ErrorHandler_Default</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <filter-mapping>
        <filter-name>ResponseHeader_Default</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <!-- source: pattern://8523f0587aa8cfa7008f8171, pattern://92e282d1dc2b69d9e4f91fc0 -->
    <filter-mapping>
        <filter-name>SessionHandler_MockRelam</filter-name>
        <url-pattern>/*</url-pattern>
        <exclude-url-regex>^/errorpages.*$|^/favicon.ico$|^/hallo.txt$|^/index.html$|^/nevislogrend/.*$|^/resources.*$</exclude-url-regex>
    </filter-mapping>
    <!-- source: pattern://8523f0587aa8cfa7008f8171, pattern://92e282d1dc2b69d9e4f91fc0 -->
    <filter-mapping>
        <filter-name>Authentication_MockRelam</filter-name>
        <url-pattern>/*</url-pattern>
        <exclude-url-regex>^/errorpages.*$|^/favicon.ico$|^/hallo.txt$|^/index.html$|^/nevislogrend/.*$|^/resources.*$</exclude-url-regex>
    </filter-mapping>
    <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
    <listener>
        <listener-class>ch::nevis::isiweb4::listener::SessionListener</listener-class>
    </listener>
    <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
    <servlet>
        <servlet-name>Connector_MockRelam</servlet-name>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <servlet-class>ch::nevis::isiweb4::servlet::connector::soap::esauth4::Esauth4ConnectorServlet</servlet-class>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.DNSCache.ttl</param-name>
            <param-value>60</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.InetAddress</param-name>
            <param-value>nai:8991</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.KeepAlive.LifeTime</param-name>
            <param-value>30</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.RequestTimeout</param-name>
            <param-value>90000</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.ResourceManager.RetryTimeout</param-name>
            <param-value>0</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.SSLCACertificateFile</param-name>
            <param-value>/var/opt/keys/trust/npi-mockrelam-tls-trust/truststore.pem</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.SSLCheckPeerHostname</param-name>
            <param-value>false</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.SSLClientCertificateFile</param-name>
            <param-value>/var/opt/keys/own/npi-mockrelam-identity/cert.pem</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>Transport.SSLClientKeyFile</param-name>
            <param-value>/var/opt/keys/own/npi-mockrelam-identity/key.pem</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://8a4997cddc02803b920c8ee9 -->
    <servlet>
        <servlet-name>Hosting_New_Hosting_Service</servlet-name>
        <!-- source: pattern://8a4997cddc02803b920c8ee9 -->
        <servlet-class>ch::nevis::nevisproxy::servlet::file::FileReaderServlet</servlet-class>
        <!-- source: pattern://8a4997cddc02803b920c8ee9 -->
        <init-param>
            <param-name>Profile</param-name>
            <param-value>AllowSubDirectories</param-value>
        </init-param>
        <!-- source: pattern://8a4997cddc02803b920c8ee9 -->
        <init-param>
            <param-name>RootDirectory</param-name>
            <param-value>/var/opt/nevisproxy/default/host-klp.agov-w.azure.adnovum.net/</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
    <servlet>
        <servlet-name>LocalSessionStoreServlet</servlet-name>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <servlet-class>ch::nevis::nevisproxy::servlet::cache::local::LocalSessionStoreServlet</servlet-class>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>MaxInactiveInterval</param-name>
            <param-value>600</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>MaxLifetime</param-name>
            <param-value>28800</param-value>
        </init-param>
        <!-- source: pattern://8523f0587aa8cfa7008f8171 -->
        <init-param>
            <param-name>MemorySize</param-name>
            <param-value>512000000</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://7dc20659babc66c4401ce0dd -->
    <servlet>
        <servlet-name>LoginRenderer_nli</servlet-name>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <servlet-class>ch::nevis::isiweb4::servlet::rendering::LoginRendererServlet</servlet-class>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <init-param>
            <param-name>PropagateRemoteHeaders</param-name>
            <param-value>Set-Cookie</param-value>
        </init-param>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <init-param>
            <param-name>RenderingProvider</param-name>
            <param-value>remote:NevisLogrendConnector_nli:/nevislogrend/index.vm?logrendresourcepath=/nevislogrend</param-value>
        </init-param>
    </servlet>
    <!-- source: pattern://7dc20659babc66c4401ce0dd -->
    <servlet>
        <servlet-name>NevisLogrendConnector_nli</servlet-name>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <servlet-class>ch::nevis::isiweb4::servlet::connector::http::HttpConnectorServlet</servlet-class>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <init-param>
            <param-name>InetAddress</param-name>
            <param-value>nli:8988</param-value>
        </init-param>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <init-param>
            <param-name>MappingType</param-name>
            <param-value>pathinfo</param-value>
        </init-param>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <init-param>
            <param-name>ResourceManager.RetryTimeout</param-name>
            <param-value>0</param-value>
        </init-param>
        <!-- source: pattern://7dc20659babc66c4401ce0dd -->
        <init-param>
            <param-name>URIPrefix</param-name>
            <param-value>/nevislogrend</param-value>
        </init-param>
    </servlet>
    <servlet>
        <servlet-name>Hosting_Default</servlet-name>
        <servlet-class>ch::nevis::isiweb4::servlet::defaults::DefaultServlet</servlet-class>
    </servlet>
    <!-- source: pattern://8a4997cddc02803b920c8ee9 -->
    <servlet-mapping>
        <servlet-name>Hosting_New_Hosting_Service</servlet-name>
        <url-pattern>/*</url-pattern>
    </servlet-mapping>
    <!-- source: pattern://7dc20659babc66c4401ce0dd -->
    <servlet-mapping>
        <servlet-name>NevisLogrendConnector_nli</servlet-name>
        <url-pattern>/nevislogrend/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/index.html</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/favicon.ico</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/hallo.txt</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/resources/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Hosting_Default</servlet-name>
        <url-pattern>/errorpages/*</url-pattern>
    </servlet-mapping>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <mime-mapping>
        <extension>css</extension>
        <mime-type>text/css</mime-type>
    </mime-mapping>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <mime-mapping>
        <extension>ico</extension>
        <mime-type>image/x-icon</mime-type>
    </mime-mapping>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <mime-mapping>
        <extension>png</extension>
        <mime-type>image/png</mime-type>
    </mime-mapping>
    <!-- source: pattern://3b41ca4ca1c4028117d16f5b -->
    <mime-mapping>
        <extension>html</extension>
        <mime-type>text/html</mime-type>
    </mime-mapping>
    <!-- source: pattern://8a4997cddc02803b920c8ee9 -->
    <mime-mapping>
        <extension>txt</extension>
        <mime-type>text/plain</mime-type>
    </mime-mapping>
</web-app>
